#include "InputFilter.au3"

$hMainWnd = GUICreate("InputFilter Example", 200, 30)
$cInput = GUICtrlCreateInput("", 0, 0, 200, 30)
GUICtrlSetFont($cInput, 15)
GUICtrlInputSetFilter($cInput, "InputFilter")

GUISetState()

While True
	Switch GUIGetMsg()
		Case -3
			Exit
	EndSwitch
WEnd

Func InputFilter($sChr, $sStr)
	If StringRegExp($sStr, "^\+?(\d{2,4} )?(\d{3} )?\d*$") Then Return $INPUTFILTER_ALLOW ;Simple Handynummer
	If StringInStr(@CRLF, $sChr) Then Return $INPUTFILTER_SILENTDENY ;"Enter" ist gleichzeitig eine Besttigung, dabei nervt die Benachrichtigung nur
	Return $INPUTFILTER_DENY
EndFunc   ;==>InputFilter
